/* ########################################## Common ############################################ */
.section--dragging {
   opacity: 0.4;
   transform: scale(0.98);
   border: 2px dashed #999;
}

.section--drag-over {
   border: 2px solid #0b60b6;
   background: rgba(37, 99, 235, 0.04);
}

.tabs__container .tabs__wrapper {
   width: 100%;
   height: 3.2rem;
   display: flex;
}
.tabs__container .tabs__wrapper .tab {
   cursor: pointer;
   width: 50%;
   display: flex;
   align-items: center;
   justify-content: center;
   border-bottom: 1px solid #d3d3d3;
   background-color: #f5f5f5;
   transition: all 0.1s linear;
}
.tabs__container .tabs__wrapper .tab:first-child {
   border-radius: 0 4px 4px 0;
}
.tabs__container .tabs__wrapper .tab:last-child {
   border-radius: 4px 0 0 4px;
}
.tabs__container .tabs__wrapper .tab.selected {
   color: #0b60b6;
   border-color: #0b60b6;
   background-color: #e5f3ff;
}

.box {
   padding: 4px;
}

.box--gray {
   background-color: #e7e7e7;
}

.th__checkbox {
   display: flex;
   align-items: center;
   justify-content: center;
   width: 32px;
   height: 40px;
}

/* ########################################## Form Grid ########################################## */

.section__first-part-details-title--add-user.form-grid__container {
   display: grid;
   grid-template-columns: repeat(12, 1fr);
}

/* Normal Size: md */
.field-col--md {
   grid-column: span 12 !important;
}
@media (min-width: 500px) {
   .field-col--md {
      grid-column: span 6 !important;
   }
}
@media (min-width: 768px) {
   .field-col--md {
      grid-column: span 4 !important;
   }
}
@media (min-width: 1280px) {
   .field-col--md {
      grid-column: span 3 !important;
   }
}

/* xSmall Size: xs */
.field-col--xs {
   grid-column: span 12 !important;
}
@media (min-width: 500px) {
   .field-col--xs {
      grid-column: span 6 !important;
   }
}
@media (min-width: 768px) {
   .field-col--xs {
      grid-column: span 3 !important;
   }
}
@media (min-width: 1024px) {
   .field-col--xs {
      grid-column: span 1 !important;
   }
}

/* Small Size: sm */
.field-col--sm {
   grid-column: span 12 !important;
}
@media (min-width: 500px) {
   .field-col--sm {
      grid-column: span 6 !important;
   }
}
@media (min-width: 768px) {
   .field-col--sm {
      grid-column: span 3 !important;
   }
}
@media (min-width: 1024px) {
   .field-col--sm {
      grid-column: span 2 !important;
   }
}

/* Large Size: lg */
.field-col--lg {
   grid-column: span 12 !important;
}
@media (min-width: 1280px) {
   .field-col--lg {
      grid-column: span 6 !important;
   }
}

/* xLarge Size: xl */
.field-col--xl {
   grid-column: span 12 !important;
}

/* ######################################## Alert Modal ######################################### */
.alert-modal {
   width: 100%;
   max-width: 400px;
   padding-top: 8px;
}

.alert-modal__wrapper {
   width: 100%;
   padding: 12px 32px 28px;
}

.alert-modal .icon__wrapper {
   width: fit-content;
   display: flex;
   align-items: center;
   justify-content: center;
   padding: 12px;
   margin-bottom: 20px;
   border-radius: 50%;
}

.alert-modal .icon__wrapper--info {
   background-color: rgba(79, 153, 217, 0.25);
}
.alert-modal .icon__wrapper--warning {
   background-color: rgba(255, 184, 91, 0.25);
}
.alert-modal .icon__wrapper--danger {
   background-color: rgba(255, 91, 91, 0.25);
}

.alert-modal .icon__wrapper > img {
   width: 2.8rem;
   height: auto;
}

.alert-modal__title {
   color: #474a52;
   font-size: 1.8rem;
   font-weight: 600;
   padding-bottom: 8px;
}

.alert-modal__description {
   text-align: center;
   color: #888;
   font-size: 1.4rem;
}

.alert-modal .btn__container {
   display: flex;
   align-items: center;
   gap: 8px;
   padding-top: 32px;
}

.alert-modal .btn__container > button {
   width: 50%;
   border-radius: 4px;
}

.cancel__btn {
   color: #222 !important;
   border: 1px solid #d9d9d9 !important;
   background-color: #ddd !important;
}
.cancel__btn:hover {
   box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.3) !important;
}

.submit__btn {
   color: #fff;
   border: 1px solid;
}

.submit__btn--info {
   border-color: #4f99d9 !important;
   background-color: #4f99d9 !important;
}
.submit__btn--warning {
   border-color: #ff8c00 !important;
   background-color: #ff8c00 !important;
}
.submit__btn--danger {
   border-color: #ff5b5b !important;
   background-color: #ff5b5b !important;
}
/* #################################### Virtual Fields Modal #################################### */

.virtual-settings-field__container .modal-calculation__title {
   width: 100% !important;
   gap: 0 !important;
   margin-bottom: 0 !important;
}

.add-condition__container input,
.add-condition__container select {
   height: 28px !important;
}

.add-condition__container {
   display: flex;
   flex-direction: column;
   gap: 12px;
   padding: 8px;
   border-radius: 4px;
   border: 1px dashed #ccc;
}

.add-condition__container .add-condition__btn {
   min-width: 70px;
   cursor: pointer;
   font-size: 1.2rem;
   color: #4f99d9;
   border: 1px solid #4f99d9;
   border-radius: 4px;
   background-color: #fff;
}

.add-condition__rows {
   height: 250px;
   overflow-y: auto;
   display: flex;
   flex-direction: column;
   gap: 4px;
   padding-left: 4px;
}
.add-condition__rows::-webkit-scrollbar {
   width: 5px;
   height: 5px;
   border-radius: 5px;
   background-color: #eee;
}
.add-condition__rows::-webkit-scrollbar-thumb {
   background-color: #ccc;
}

.condition-row__delete {
   cursor: pointer;
   display: flex;
   align-items: center;
   justify-content: center;
   padding: 8px;
   border: 1px solid #e7e7e7;
}
.condition-row__delete:hover {
   background-color: rgba(255, 91, 91, 0.07);
}

.condition-value__title {
   padding: 8px 0 4px;
   font-size: 1.2rem;
   font-weight: 500;
   color: #6c757d;
}
.condition-value__item {
   cursor: pointer;
   position: relative;
   display: flex;
   align-items: center;
   gap: 2px;
   padding: 4px;
   padding-left: 6px;
   font-size: 1.1rem;
   color: #6c757d;
   border-radius: 4px;
   border: 1px solid #e7e7e7;
   background-color: #eee;
}

.condition__tooltip {
   position: absolute;
   bottom: 3.2rem;
   right: 0;
   min-width: 100%;
   max-width: 95vw;
   max-height: 80vh;
   overflow: auto;
   display: flex;
   flex-direction: column;
   gap: 6px;
   padding: 6px;
   border-radius: 6px;
   border: 1px solid #ccc;
   background-color: #eff9ff;
}
.condition__tooltip::-webkit-scrollbar {
   width: 4px;
   height: 4px;
   border-radius: 5px;
}
.condition__tooltip::-webkit-scrollbar-thumb {
   max-width: 550px;
}

@media (min-width: 768px) {
   .condition__tooltip {
      grid-column: span 3 !important;
   }
}

.condition__tooltip p {
   text-wrap: nowrap;
}

/* ######################################### SignaturePad ######################################## */

.signature-pad__wrapper {
   position: relative;
   height: 100%;
   border-radius: 4px;
   border: 1px dashed #ddd;
   background-color: #fff;
}

.signature-pad__wrapper canvas {
   cursor: pointer;
   width: 100%;
   height: 100%;
}

.signature-pad__header {
   width: 100%;
   position: absolute;
   top: 0;
   left: 0;
   display: flex;
   align-items: center;
   justify-content: space-between;
   gap: 4px;
   padding: 4px;
}

.signature-pad__header input[type='color'],
.signature-pad__header input[type='range'] {
   cursor: pointer;
}

.signature-pad__header input[type='color'] {
   width: 24px;
   height: 28px;
   outline: none;
   border: 1px solid #ddd;
   background-color: transparent;
}

.signature-pad__header button {
   cursor: pointer;
   width: fit-content;
   min-width: 30px;
   display: flex;
   align-items: center;
   justify-content: center;
   color: #4f99d9;
   font-size: 1rem;
   font-weight: 500;
   padding: 2px 4px;
   border-radius: 4px;
   border: 1px solid #4f99d9;
   background-color: #fff;
}
.signature-pad__header button:hover {
   background-color: rgba(79, 153, 217, 0.07);
}
.signature-pad__header button.active {
   color: #fff;
   background-color: #4f99d9;
}

/* ##################################### MultiSelectDropdown ##################################### */
.multiselect-container {
   position: relative;
   width: 400px;
   /* flex: 1; */
}

.multiselect-container .multiselect-input {
   cursor: pointer;
   overflow-x: auto;
   height: 3.2rem;
   display: flex;
   align-items: center;
   gap: 4px;
   padding: 4px;
   border-radius: 4px;
   border: 1px solid #ced4da;
   background: #fff;
}
.multiselect-container .multiselect-input::-webkit-scrollbar {
   height: 0;
}

.multiselect-container .multiselect-input .tag {
   text-wrap: nowrap;
   font-size: 10px;
   padding: 1px 4px;
   border-radius: 8px;
   border: 1px solid #ccc;
}

.multiselect-container .multiselect-dropdown {
   width: 400px;
   max-height: 200px;
   overflow-y: auto;
   position: absolute;
   top: 3.2rem;
   right: 0;
   z-index: 100;
   margin-top: 4px;
   border: 1px solid #ccc;
   background: #fff;
}
.multiselect-container .multiselect-dropdown > label {
   cursor: pointer;
   display: flex;
   align-items: center;
   gap: 8px;
   padding: 4px;
}

/* ########################################## Overwrites ########################################## */

.formula-box__wrapper {
   height: 40px;
}
.formula-box__wrapper .input__calcut::-webkit-scrollbar {
   height: 8px !important;
}

tr.selected {
   background-color: #e7ebff !important;
}
